<?php

declare(strict_types=1);

namespace Builder\Core\Tests\Console;

use Builder\Core\Tests\TestCase;
use Illuminate\Support\Facades\Artisan;
use Spatie\Permission\PermissionServiceProvider;

class ConsoleTestCase extends TestCase
{
    /** @return list<class-string> */
    protected function getPackageProviders($app): array
    {
        return array_merge(parent::getPackageProviders($app), [
            PermissionServiceProvider::class,
        ]);
    }

    protected function setUp(): void
    {
        parent::setUp();

        Artisan::call('migrate');
    }
}
